import mysql.simplesql as sql


def insertCatalogRestrict(catalogrestrict):
    yield sql.Insert(table='catalogrestrict', values={
        'catalogid': catalogrestrict.get('catalogid', None),
        'deptcode': catalogrestrict.get('deptcode', None),
        'restrictid': catalogrestrict.get('restrictid', None)
        })

def deleteCatalogRestrict(catalogrestrict):
    for i in deleteCatalogRestrictByRestrictCode(catalogrestrict.get('restrictid', None)):
        yield i

def deleteCatalogRestrictByRestrictCode(restrictid):
    yield sql.Delete(table='catalogrestrict', whereFields=['restrictid'], whereValues=[restrictid])

def clearCatalogRestrict():
    yield sql.DeleteAll(table='catalogrestrict')
